#ifdef GL_ES
precision lowp float;
#endif
 
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec2 texOffset;
uniform vec2 uRange;
uniform vec2 vRange;                 
void main()                                
{                                                                       
    vec2 texcoord = texOffset+v_texCoord;      
    texcoord.y = mod(texcoord.y - uRange.x * CC_Time[0], uRange.y);//mod(uRange.x * CC_Time[1], 0.5);
    texcoord.x = mod(texcoord.x - vRange.x * CC_Time[0], vRange.y);//mod(vRange.x * CC_Time[1], 0.5);
    gl_FragColor = v_fragmentColor * texture2D(CC_Texture0, texcoord);
    //gl_FragColor.a = 0.6 * gl_FragColor.a;
    //if(gl_FragColor[0] == 0.0 && gl_FragColor[1] == 0.0 && gl_FragColor[2] == 0.0)
    //	gl_FragColor = vec4(gl_FragColor[0], gl_FragColor[1], gl_FragColor[2], 0);
    //else
	//    if(texOffset[0] == 0.0)
	//    	gl_FragColor = vec4(0, gl_FragColor[1]*0.2, gl_FragColor[2]*3.0, 0.5);
	//    else
	//    	gl_FragColor = vec4(gl_FragColor[0], gl_FragColor[1], gl_FragColor[2], 0.5);
}